> ## Documentation Index
> Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Memory By Id



## OpenAPI

````yaml /openapi/em-memory-service-v2.yaml get /memories/{memory_id}
openapi: 3.1.0
info:
  title: EM Memory API
  version: 0.1.0
servers: []
security: []
paths:
  /memories/{memory_id}:
    get:
      tags:
        - memories
      summary: Get Memory By Id
      operationId: get_memory_by_id_memories__memory_id__get
      parameters:
        - name: memory_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Memory Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/Memory'
                  - type: 'null'
                title: Response Get Memory By Id Memories  Memory Id  Get
        '404':
          description: Memory with ID '{memory_id}' does not exist.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Memory:
      properties:
        id:
          type: string
          title: Id
        context_pack_id:
          type: string
          title: Context Pack Id
        version:
          type: integer
          title: Version
        content:
          additionalProperties: true
          type: object
          title: Content
        content_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Url
        search_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Search Text
        memory_type:
          $ref: '#/components/schemas/MemoryType'
        source:
          $ref: '#/components/schemas/MemorySourceInfo'
        classification:
          $ref: '#/components/schemas/MemoryClassificationInfo'
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
        quality:
          $ref: '#/components/schemas/MemoryQualityInfo'
        access:
          $ref: '#/components/schemas/MemoryAccessInfo'
        status:
          $ref: '#/components/schemas/MemoryStatus'
        superseded_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Superseded By
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        archived_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Archived At
        deleted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deleted At
        superseded_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Superseded At
        reactivated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Reactivated At
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
        pinned:
          type: boolean
          title: Pinned
          default: false
        pinned_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Pinned At
        unpinned_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Unpinned At
      type: object
      required:
        - id
        - context_pack_id
        - version
        - content
        - memory_type
        - source
        - classification
        - metadata
        - quality
        - access
        - status
        - created_at
        - updated_at
      title: Memory
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MemoryType:
      type: string
      enum:
        - fact
        - experience
        - observation
        - instruction
        - preference
        - summary
        - glossary
        - ontology
        - textual_pattern
        - kpi
        - exemplar
        - join
        - numeric_pattern
        - policy
      title: MemoryType
    MemorySourceInfo:
      properties:
        type:
          type: string
          title: Type
        conversation_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Conversation Id
        turn_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Turn Index
        actor:
          anyOf:
            - type: string
            - type: 'null'
          title: Actor
        confidence:
          type: number
          maximum: 1
          minimum: 0
          title: Confidence
          default: 0.5
        document_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Document Url
      type: object
      required:
        - type
      title: MemorySourceInfo
    MemoryClassificationInfo:
      properties:
        domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Domain
        priority:
          $ref: '#/components/schemas/Priority'
          default: normal
        tags:
          items:
            type: string
          type: array
          title: Tags
        sensitivity:
          anyOf:
            - type: string
            - type: 'null'
          title: Sensitivity
      type: object
      title: MemoryClassificationInfo
    MemoryQualityInfo:
      properties:
        validation_status:
          $ref: '#/components/schemas/MemoryValidationStatus'
          default: unvalidated
        confidence_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Confidence Score
        validated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Validated At
        validated_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Validated By
      type: object
      title: MemoryQualityInfo
    MemoryAccessInfo:
      properties:
        count:
          type: integer
          title: Count
        last_accessed:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Accessed
        success_count:
          type: integer
          title: Success Count
        failure_count:
          type: integer
          title: Failure Count
        success_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Success Rate
      type: object
      required:
        - count
        - success_count
        - failure_count
      title: MemoryAccessInfo
    MemoryStatus:
      type: string
      enum:
        - active
        - superseded
        - archived
        - deleted
      title: MemoryStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Priority:
      type: string
      enum:
        - low
        - normal
        - high
        - critical
      title: Priority
    MemoryValidationStatus:
      type: string
      enum:
        - unvalidated
        - validated
        - disputed
      title: MemoryValidationStatus
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````